View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000551Ecere SDKidepublic2010-08-21 03:232013-05-19 22:15
Reporterjerome 
Assigned Tojerome 
PriorityurgentSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000551: ide: Migrate GlobalSettings to JSON
DescriptionWrite a new class integrating JSON with the settings monitoring functionality of GlobalAppSettings, and make use of it in the IDE. We will eventually deprecate GlobalAppSettings in favor of the new JSON based class.

Some apps we will need to tweak:
- Acovel
- Communicator

Client Solutions:
- KCMD
- WSMS
TagsNo tags attached.
Attached Files

- Relationships
related to 0000233closedjerome GlobalAppSettings.ec: adding a new setting in an existing section will not write the setting in the configuration file 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2010-08-21 03:23 jerome New Issue
2010-08-21 03:29 jerome Relationship added related to 0000233
2010-12-07 01:33 jerome Status new => resolved
2010-12-07 01:33 jerome Fixed in Version => 0.44 pre-release 2
2010-12-07 01:33 jerome Resolution open => fixed
2010-12-07 01:33 jerome Assigned To => jerome
2012-03-08 15:33 redj Target Version old 0.44.pre3 => 0.44 Ryoan-ji
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker